Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class AbstractLuceneSearchEngine<WorkspaceType extends SearchEngineWorkspace,ProcessorType extends SearchEngineProcessor>

    java.lang.Object
      org.modeshape.graph.search.AbstractSearchEngine<WorkspaceType,ProcessorType>
          org.modeshape.search.lucene.AbstractLuceneSearchEngine<WorkspaceType,ProcessorType>

Type Parameters:
  `WorkspaceType` - the type of workspace
  `ProcessorType` - type type of processor

All Implemented Interfaces:
  SearchEngine

Direct Known Subclasses:
  LuceneSearchEngine

    public abstract class AbstractLuceneSearchEngine<WorkspaceType extends SearchEngineWorkspace,ProcessorType extends SearchEngineProcessor>

extends AbstractSearchEngine<WorkspaceType,ProcessorType>

An abstract `SearchEngine` implementation that is set up to use the Lucene library. This provides an abstract `Processor` base class that has some commonly-needed methods, simplifying the implementation. However, this class does not presume any number or layout of the Lucene indexes, and requires a subclass to do that.

Nested Class Summary
`protected static class` | `AbstractLuceneSearchEngine.AbstractLuceneProcessor<WorkspaceType extends SearchEngineWorkspace,SessionType extends AbstractLuceneSearchEngine.WorkspaceSession>` Abstract `SearchEngineProcessor` implementation for the `AbstractLuceneSearchEngine`.
`static class` | `AbstractLuceneSearchEngine.TupleCollector`
`protected static interface` | `AbstractLuceneSearchEngine.WorkspaceSession`

Nested classes/interfaces inherited from class org.modeshape.graph.search.AbstractSearchEngine
`AbstractSearchEngine.SearchWorkspaces, AbstractSearchEngine.Workspaces<WorkspaceType extends SearchEngineWorkspace>`

Field Summary

Fields inherited from class org.modeshape.graph.search.AbstractSearchEngine
`DEFAULT_VERIFY_WORKSPACE_IN_SOURCE`

Constructor Summary
`protected` | `AbstractLuceneSearchEngine(String sourceName, RepositoryConnectionFactory connectionFactory, boolean verifyWorkspaceInSource)` Create a `SearchEngine` instance that uses Lucene.

Method Summary

Methods inherited from class org.modeshape.graph.search.AbstractSearchEngine
`createProcessor, createProcessor, createWorkspace, getConnectionFactory, getSourceName, graph, isVerifyWorkspaceInSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.search.SearchEngine
`index, indexExists`

Constructor Detail

### AbstractLuceneSearchEngine

    protected AbstractLuceneSearchEngine(String sourceName,
                                         RepositoryConnectionFactory connectionFactory,
                                         boolean verifyWorkspaceInSource)

  Create a `SearchEngine` instance that uses Lucene.

  Parameters:
    `sourceName` - the name of the source that this engine will search over
    `connectionFactory` - the factory for making connections to the source
    `verifyWorkspaceInSource` - true if the workspaces are to be verified using the source, or false if this engine is used in a way such that all workspaces are known to exist
  Throws:
    `IllegalArgumentException` - if any of the parameters are null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.